badge-dollarGet Supported Tokens By ChainId

Retrieve the list of supported tokens for a specific blockchain. This is a public endpoint and does not require authentication.

API Referencechevron-right

Authentication

None required (public endpoint)


Path Parameters

Field
Type
Required
Description

chainId

string

Yes

Chain ID: sol, btc, or EVM chain ID (e.g. 1, 137, 8453)


Example Request (cURL)

curl -X GET "https://api.kira-pay.com/link/tokens/8453"


Example Response (200)

EVM Chain (Base = 8453)


Response Fields

Field
Type
Description

chainId

string / number

Chain ID for the token

address

string

Token contract address (EVM only)

name

string

Token name

symbol

string

Token symbol (e.g. USDC, DAI, SOL)


Usage Example

  • Use this endpoint to populate token selectors before creating a payment link.

  • Helpful for validating tokenOut.address in POST /link/generate.

Last updated

Was this helpful?